Bug 953522 - scl-utils: questionable umask business
Summary: scl-utils: questionable umask business
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scl-utils
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 953462 956710
TreeView+ depends on / blocked
 
Reported: 2013-04-18 11:18 UTC by Florian Weimer
Modified: 2013-06-29 18:51 UTC (History)
3 users (show)

Fixed In Version: scl-utils-20130529-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 956710 957702 (view as bug list)
Environment:
Last Closed: 2013-06-29 18:51:26 UTC


Attachments (Terms of Use)

Description Florian Weimer 2013-04-18 11:18:57 UTC
The make_script_temp function is rather peculiar because mkstemp() does not actually rely on the umask value (per POSIX, no matter what manpages may say).

Comment 3 Fedora Update System 2013-06-19 08:21:16 UTC
scl-utils-20130529-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scl-utils-20130529-1.fc18

Comment 4 Fedora Update System 2013-06-19 08:21:51 UTC
scl-utils-20130529-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/scl-utils-20130529-1.fc19

Comment 5 Fedora Update System 2013-06-19 13:08:31 UTC
Package scl-utils-20130529-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scl-utils-20130529-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11254/scl-utils-20130529-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-06-29 18:51:26 UTC
scl-utils-20130529-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.